Subject: bug#2956: 23.0.92; anything.el causes BSOD on vista64 dual-processor

From: Erik Charlebois <[email-masked]>
Date: Fri, 10 Apr 2009 17:09:19 -0700

Running "M-x anything" with anything.el, then pressing tab and enter
causes Vista 64 to BSOD with a "Second processor failed to respond to
clock interrupt in time" error. I am running on a dual quad-core system.

I have hit this problem in ERC as well, so I know it is not related
entirely to anything.el. It is simply easier to reproduce consistently
on anything.el. This problem does not occur with 22.3.

(As a software developer myself, I understand how ridiculously esoteric
this bug is and that the OS shouldn't panic from a user-land process. I
understand if this doesn't get fixed. I thought I'd report it anyway.
If I can help provide more information (maybe there is some triage of
version 23 features I could do, given the option names), feel free to
ask ([email-masked]).)

In GNU Emacs 23.0.92.1 (i386-mingw-nt6.0.6001)
 of 2009-03-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.0.6001
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  yas/minor-mode: t
  desktop-save-mode: t
  savehist-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x g C-g M-x e m a c s - <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> r e p o r t - e
m <tab> <return>

Recent messages:
Building completion list of all manual topics...
Loading c:/Users/Erik Charlebois/.emacs.d/kuler-colors.el (source)...done
Loading c:/Users/Erik Charlebois/.emacs.d/cedet-1.0pre6/common/cedet.el
(source)...
Outdated speedbar 1.0 shadowed to meet minimum version 1.0.2
Setting up CEDET packages...
Loading `dframe': old-style backquotes detected!
Setting up CEDET packages...done
Loading c:/Users/Erik Charlebois/.emacs.d/cedet-1.0pre6/common/cedet.el
(source)...done
No desktop file.
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit

-- 
Erik Charlebois